# Class Car

java.lang.Object
Car

public class Car extends Object
Una classe che simula un'automobile

## Constructor Summary

Constructors
Constructor
Description
`Car(double r)`
Costruttore dell'oggetto Car

## Method Summary

Modifier and Type
Method
Description
`void`
`addGas(double c)`
Setter che simula l'inserimento nel serbatoio di una certa quantitÃ di carburante
`void`
`drive(double km)`
Metodo che simula la guida dell'automobile per tot km
`double`
`getGasInTank()`
Getter che simula la misurazione del carburante

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Car

public Car(double r)
Costruttore dell'oggetto Car

Parameters:
  `r` - resa

## Method Details

### drive

public void drive(double km)
Metodo che simula la guida dell'automobile per tot km

Parameters:
  `km` - chilometri percorsi

### getGasInTank

public double getGasInTank()
Getter che simula la misurazione del carburante

Returns:
  QuantitÃ di carburante rimanente

### addGas

public void addGas(double c)
Setter che simula l'inserimento nel serbatoio di una certa quantitÃ di carburante

Parameters:
  `c` - Carburante inserito nel serbatoio